<?
/**************************************************************************
 *  PHPRT - Action Item Tracking Tool                                     *
 *          (PHPRT.JS-X.com)                                              *
 *                                                                        *
 *  This program is free software: you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation, either version 3 of the License, or     *
 *  any later version.                                                    *
 *                                                                        *
 *  This program is distributed in the hope that it will be useful,       *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *  GNU General Public License for more details.                          *
 *                                                                        *
 *  You should have received a copy of the GNU General Public License     *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 **************************************************************************/


  include("config/global.inc.php");
  checkPermissions(1, $SESSION_TIMEOUT); // user logged in? - keep session alive for the SESSION_TIMEOUT


// if this is an db-admin or a project admin allow them to see this page, otherwise go away
if(!$CURRENT_USER['IS_A_DB_ADMIN'])
{
  header ("Location: index.php");
  exit;
}

if($_FORM['btnSubmit'])
{
  $strVersion     = validateText($LA['ad-ver'],        $_FORM['txtVersion'],0,5,FALSE, FALSE);
  $strEmail       = validateEmail($LA['ad-mail'],      $_FORM['txtEmail'], FALSE);
  $strExpire      = validateText($LA['ad-pwexp'],      $_FORM['txtExpire'], 1, 10, TRUE, FALSE);
  $strAlpha       = validateText($LA['ad-pwmust'],     $_FORM['txtAlpha'], 1, 1, TRUE, FALSE);
  $strDEmail      = validateText($LA['ad-disp-email'], $_FORM['txtDEmails'], 1, 1, TRUE, FALSE);
  $strEnable      = validateText($LA['ad-itar'],       $_FORM['txtEnable'], 1, 1, TRUE , FALSE);
  $strLabel       = validateText($LA['ad-rlabel'],     $_FORM['txtLabel'], 1, 40, FALSE, FALSE);
  $strNotice      = validateText($LA['ad-ran'],        $_FORM['txtNotice'], 1, 400, TRUE, FALSE);
  $strRestricted  = validateText($LA['ad-rt'],         $_FORM['txtRestricted'], 1, 400, TRUE, FALSE);
  $strNRestricted = validateText($LA['ad-non-rt'],     $_FORM['txtNRestricted'], 1, 400, TRUE, FALSE);
  $strSwitch      = validateText($LA['ad-sw'],         $_FORM['txtSwitch'], 1, 400, TRUE, FALSE);
 
  $strSQL1 = "UPDATE $TABLE_DB_INFO SET";
  $strSQL1.= " mail_tag='$strEmail'";
  $strSQL1.= ", pswd_exp_time='$strExpire'";
  $strSQL1.= ", pswd_alpha='$strAlpha'";
  $strSQL1.= ", emails_show_up='$strDEmail'";
  $strSQL1.= ", itar_flag='$strEnable'";
  $strSQL1.= ", restricted_label='$strLabel'";
  $strSQL1.= ", restricted_admin_notice='$strNotice'";
  $strSQL1.= ", restricted='$strRestricted'";
  $strSQL1.= ", not_restricted='$strNRestricted'";
  $strSQL1.= ", switch_warning='$strSwitch'";
  $strSQL1.= ", entering_warning='$strEnter'";
  $strSQL1.= ", data_entry_banner='$strDE'";
  //echo "Q:<DIR>$strSQL1</DIR>";
  $result1 = dbquery($strSQL1);
  $strError = $LA['ad-db-updated'];
}

$strSQL2="SELECT * FROM $TABLE_DB_INFO";
$result2=dbquery($strSQL2);
$row2=mysql_fetch_array($result2);
$strEmail       = $row2['mail_tag'];
$strExpire      = $row2['pswd_exp_time'];
$strAlpha       = $row2['pswd_alpha'];if($strAlpha)$ALP_YES="SELECTED";else $ALP_NO="SELECTED";
$strDEmail      = $row2['emails_show_up'];if($strDEmail)$DEM_YES="SELECTED";else $DEM_NO="SELECTED";
$strEnable      = $row2['itar_flag'];if($strEnable)$ITR_YES="SELECTED";else $ITR_NO="SELECTED";
$strLabel       = $row2['restricted_label'];
$strNotice      = $row2['restricted_admin_notice'];
$strRestricted  = $row2['restricted'];
$strNRestricted = $row2['not_restricted'];
$strSwitch      = $row2['switch_warning'];
$strEnter       = $row2['entering_warning'];
$strDE          = $row2['data_entry_banner'];

writeHeader($LA['ad-edit-db']);
declareError(TRUE);


?>
<form class=forms name="form1" method="POST" action="<?=$_SERVER['PHP_SELF'];?>">
  <br><table class=forms border='0' cellpadding='2'>
    <tr>
      <td ><?=$LA['ad-phprtver'];?>:</td><td><?=$PHPRT_VERSION;?></td>
    </tr>
    <tr>
      <td ><?=$LA['ad-mail-alias'];?>:</td>
      <td ><input class=forms type="text" name="txtEmail" value="<?echo $strEmail;?>" size="40" maxlength="64"></td>
    </tr>
    <tr>
      <td ><?=$LA['ad-pw-msg'];?></td>
      <td ><input class=forms type="text" name="txtExpire" value="<?echo $strExpire;?>" size="10" maxlength="10"></td>
    </tr>
    <tr>
      <td ><?=$LA['ad-pw-alpha'];?>:</td>
      <td><select class=forms name="txtAlpha"><option <?=$ALP_YES;?> value="1"><?=$LA['ad-yes'];?></option><option <?=$ALP_NO;?> value="0"><?=$LA['ad-no'];?></option></select></td>
    </tr>
    <tr>
      <td ><?=$LA['ad-rnotice'];?>:</td>
      <td><select class=forms name="txtEnable"><option <?=$ITR_YES;?> value="1">Yes</option><option <?=$ITR_NO;?> value="0">No</option></select></td>
    </tr>
    <tr>
      <td ><?=$LA['ad-rlabel'];?>:</td><td><input type=text class=forms name="txtLabel" size="50" value="<?=$strLabel;?>" maxlength="40"></td>
    </tr>
    <tr>
      <td ><?=$LA['ad-ranotice'];?>:</td><td><textarea class=forms name="txtNotice" rows=4" cols="60"><?=$strNotice;?></textarea></td>
    </tr>
    <tr>
      <td ><?=$LA['ad-rban'];?>:</td><td><textarea class=forms name="txtRestricted" rows=4" cols="60"><?=$strRestricted;?></textarea></td>
    </tr>
    <tr>
      <td ><?=$LA['ad-nrban'];?>:</td><td><textarea class=forms name="txtNRestricted" rows=4" cols="60"><?=$strNRestricted;?></textarea></td>
    </tr>
    <tr>
      <td ><?=$LA['ad-mban'];?>:</td><td><textarea class=forms name="txtSwitch" rows=4" cols="60"><?=$strSwitch;?></textarea></td>
    </tr>
    <tr><td colspan=2 align=center>
      <input class=form_button accesskey='s' type="submit" value="<?=$LA['ad-commit'];?>" name="btnSubmit">
      <input class=form_button type="reset" value="<?=$LA['ad-reset'];?>" name="reset">
    </td></tr></table>
</form>

<?
  print "<BR><BR>";
  writeFooter();
?>
