<?
/**************************************************************************
 *  PHPRT - Action Item Tracking Tool                                     *
 *          (PHPRT.JS-X.com)                                              *
 *                                                                        *
 *  This program is free software: you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation, either version 3 of the License, or     *
 *  any later version.                                                    *
 *                                                                        *
 *  This program is distributed in the hope that it will be useful,       *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *  GNU General Public License for more details.                          *
 *                                                                        *
 *  You should have received a copy of the GNU General Public License     *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 **************************************************************************/

  include("config/global.inc.php");
  checkPermissions(1, $SESSION_TIMEOUT); // user logged in? - keep session alive...

  // non admins go bye-bye
  if(!$CURRENT_USER['IS_A_DB_ADMIN'] && !$CURRENT_USER['IS_A_PROJECT_ADMIN'])
  {
    redirect("index.php");
    exit;
  }

  if ($_FORM['deleteSubmit'])
  {
    if($_FORM['txtProjectID'])
    {
      $strProjectID = validateNumber($LA['ap-projectid'], $_FORM['txtProjectID'], 1, 1000000, FALSE);

      $strSQL1="SELECT * FROM $TABLE_EACH_TICKET WHERE project_id='$strProjectID'";
      if($result1=dbquery($strSQL1))
      {
        if($row1=mysql_fetch_array($result1))
        {
          $strError=$LA['ap-del-msg1'];
        }
        else
        {
	  /* we can not delete EACH TICKET as they may be related to another project */
	  /* therefore we should not delete any of the items for those tickets */
          $strSQL1="DELETE FROM $TABLE_ITEM_TO_PROJECT WHERE project_id='$strProjectID'";
          $result1=dbquery($strSQL1);
          $strSQL1="DELETE FROM $TABLE_PROJECT_ACCESS WHERE project_id='$strProjectID'";
          $result1=dbquery($strSQL1);
          $strSQL1="DELETE FROM $TABLE_PROJECT_DIST WHERE project_id='$strProjectID'";
          $result1=dbquery($strSQL1);
          $strSQL1="DELETE FROM $TABLE_PROJECT_TEMPLATES WHERE project_id='$strProjectID'";
          $result1=dbquery($strSQL1);
          $strSQL1="DELETE FROM $TABLE_PROJECTS WHERE project_id='$strProjectID'";
          $result1=dbquery($strSQL1);
          $strSQL1="DELETE FROM $TABLE_REMINDERS WHERE project_id='$strProjectID'";
          $result1=dbquery($strSQL1);

          $strSQL1="SELECT * FROM $TABLE_STATE_RULES WHERE project_id='$strProjectID'";
          if($result1=dbquery($strSQL1))
          {
            while($row1=mysql_fetch_array($result1))
            {
              $strSQL2="DELETE FROM $TABLE_STATE_TRANSITIONS WHERE stran_id='".$row1['stran_id']."'";
              $result2=dbquery($strSQL2);
            }
          }
          
          $strSQL1="DELETE FROM $TABLE_STATE_RULES WHERE project_id='$strProjectID'";
          $result1=dbquery($strSQL1);
          $strSQL1="DELETE FROM $TABLE_STATES WHERE project_id='$strProjectID'";
          $result1=dbquery($strSQL1);
          $strError=$LA['ap-del-proj']." ($strProjectID)<BR>Item2Project, ProjectAccess, ProjectDistribution, ProjectTemplates, Projects, Reminders, StateRules, StateTransitioins, StateRules, States)";
        }
      }
      $strProjectID=NULL;
    }
  }
  else if ($_FORM['txtProjectID']==-1)
  {
    if($_FORM['txtName'] && $CURRENT_USER['IS_A_DB_ADMIN']) // creating a new project
    {
      $strProjectID = validateNumber($LA['ap-projectid'], $_FORM['txtProjectID'], 1, 1000000, FALSE);

      $strName      = validateText($LA['ap-project-name'], $_FORM['txtName'], 1, 40, TRUE, FALSE);
      $strEmail     = validateEmail($LA['ap-maila'], $_FORM['txtEmail'], TRUE);
      $strAbbrev    = validateText($LA['ap-proj-abrv'], $_FORM['txtAbbrev'], 2, 10, TRUE, FALSE);
      $strAnyone    = validateText($LA['ap-anyone'], $_FORM['txtAnyone'], 1, 1, TRUE, FALSE);
      if($strRestricted)
        $strProtected = validateText($LA['ap-proj-flag'], $_FORM['txtProtected'], 0, 1, TRUE, FALSE);
      else
        $strProtected = 0;

      $strSQL6 ="INSERT INTO $TABLE_PROJECTS SET ";
      $strSQL6.="  project_name='$strName'";
      $strSQL6.=", mail_alias='$strEmail'";
      $strSQL6.=", project_abbr='$strAbbrev'";
      $strSQL6.=", allowanyonecreate='$strAnyone'";
      $strSQL6.=", protected='$strProtected'";
      $result6=dbquery($strSQL6);
      $strSQL7 ="SELECT project_id FROM $TABLE_PROJECTS WHERE project_name='$strName'";
      $result7=dbquery($strSQL7);
      $row7=mysql_fetch_array($result7);
      $strProjectID=$row7['project_id']; // so bottom of this page will show this project just created
      $strError = $LA['ap-this-proj']." $strName ($strProjectID) ".$LA['ap-insertyes'].".";
    } 
  }
  else if ($_FORM['btnSubmit'])
  {
    if($_FORM['txtProjectID'] && ($CURRENT_USER['IS_A_DB_ADMIN'] || $CURRENT_USER['PROJECT_ADMIN'][$strProjectID]))
    {
      // if data was submitted ... to edit a user ID
      $strProjectID = validateNumber($LA['ap-projectid'], $_FORM['txtProjectID'], 1, 1000000, FALSE);
      $strName      = validateText($LA['ap-project-name'], $_FORM['txtName'], 1, 40, TRUE, FALSE);
      $strEmail     = validateEmail($LA['ap-maila'], $_FORM['txtEmail'], TRUE);
      $strAbbrev    = validateText($LA['ap-proj-abrv'], $_FORM['txtAbbrev'], 2, 10, TRUE, FALSE);
      $strAnyone    = validateText($LA['ap-anyone'], $_FORM['txtAnyone'], 1, 1, TRUE, FALSE);
      if($strRestricted)
        $strProtected = validateText($LA['ap-restrict-flag'], $_FORM['txtProtected'], 0, 1, TRUE, FALSE);
      else
        $strProtected = 0;

      if ($strError == "")
      {
        $strSQL1 = "UPDATE $TABLE_PROJECTS SET";
        $strSQL1.= " mail_alias='$strEmail'";
        $strSQL1.= ", project_name='$strName'";
        $strSQL1.= ", allowanyonecreate='$strAnyone'";
        $strSQL1.= ", project_abbr='$strAbbrev'";
        $strSQL1.= ", protected='$strProtected'";
        $strSQL1.= " WHERE project_id='$strProjectID'";
        $result1 = dbquery($strSQL1);
        $strError = $LA['ap-proj-updateyes'];

      }
    }
  } 
  else if($_FORM['createSubmit'])
  {
    $strProjectID="-1";
  }
  else
  {
    $strProjectID = validateNumber($LA['ap-projectid'], $_FORM['txtProjectID'], 1, 1000000, FALSE);

    if(!$strProjectID)
    {
      // admin must select a project(id) to edit
      writeHeader($LA['ap-select-proj']);
      declareError(TRUE);

      if($_FORM['searchSubmit'])
      {
        $TOP_SELECT ="<form class=forms name='form2' method='POST' onsubmit='return(document.form2.txtProjectID.selectedIndex>0);' action='".$_SERVER['PHP_SELF']."'>";
        $TOP_SELECT.="<br><table class=wrap cellpadding='0' cellspacing=0><tr><td>";
        $TOP_SELECT.="<table class=forms border='0' cellpadding='2'>";
        $TOP_SELECT.="<tr><td colspan=2 align=center>".$LA['ap-choose-project']."</td></tr>";
        $TOP_SELECT.="<tr> <td >Project:</td> <td ><select name='txtProjectID' class=forms>";
        $TOP_SELECT.="<option value=''>".$LA['ap-choose-project']."</option>\n";
        $BOT_SELECT.=" </select></td>\n </tr>\n";
        $BOT_SELECT.="<tr><td colspan=2 align=center>";
        $BOT_SELECT.="<input class=form_button type='submit' value='".$LA['ap-edit']."' name='searchSubmit'> ";
        $BOT_SELECT.="<input class=form_button type='reset' value='".$LA['ap-reset']."' name='reset'> ";
        $BOT_SELECT.="<input class=form_button id=b1 type='button' onclick=\"this.form.delSub2.tag=1;document.getElementById('b2').className='form_button';document.getElementById('b1').className='form_button2';\" value='".$LA['ap-del-1']."' name='delSub1'>";
        $BOT_SELECT.="<input class=form_button2 id=b2 type='button' onclick=\"if(this.tag){this.form.deleteSubmit.value=1;this.form.submit();}\" tag=0 value='".$LA['ap-del-user']."' name='delSub2'>";
        $BOT_SELECT.="<input type=hidden name='deleteSubmit' value='0'>";
        $BOT_SELECT.="</td></tr></table>";
        $BOT_SELECT.="</td></tr></table>";
        $BOT_SELECT.=" </form>\n";

        $temp="";
        $temp2="";
        $temp3="";
        if(!$CURRENT_USER['IS_A_DB_ADMIN'])
        {
          $temp2=", $TABLE_PROJECT_ACCESS as A";
          $temp3=" AND A.project_id=P.project_id AND A.level>=".$PROJECT_ACCESS['admin'];
          $temp4=" WHERE A.project_id=P.project_id AND A.level>=".$PROJECT_ACCESS['admin'];
        }
        $strQ2 ="SELECT P.project_id,P.project_name from $TABLE_PROJECTS AS P $temp2 WHERE";

        /* inserted next 3 lines to be more secure */
        $strName      = validateText($LA['ap-project-name'], $_FORM['txtName'], 1, 40, TRUE, FALSE);
        $strEmail     = validateEmail($LA['ap-maila'], $_FORM['txtEmail'], TRUE);
        $strAbbrev    = validateText($LA['ap-proj-abrv'], $_FORM['txtAbbrev'], 2, 10, TRUE, FALSE);

        if(strlen($strName)  >1) { $strQ2.=" $temp P.project_name      like \"%".$strName."%\"";   $temp="AND"; }
        if(strlen($strEmail) >1) { $strQ2.=" $temp P.mail_alias        like \"%".$strEmail."%\"";  $temp="AND"; }
        if(strlen($strAbbrev)>1) { $strQ2.=" $temp P.project_abbr      like \"%".$strAbbrev."%\""; $temp="AND"; }

        if(!$temp) // we know we are looking for at least one attribute...
        {
          $strQ2="SELECT P.project_id,P.project_name FROM $TABLE_PROJECTS AS P $temp2 $temp4 ORDER BY project_name"; 
        }
        else
        {
          $strQ2.=" $temp3 ORDER BY project_name";
        }
          if($resultQ2=dbquery($strQ2))
          {
            print $TOP_SELECT;
            while($rowQ2=mysql_fetch_array($resultQ2))
            {
              print "<option value='".$rowQ2['project_id']."'>";
              print $rowQ2['project_name']." (".$rowQ2['project_id'].")";
              print "</option>\n";
            }
            print $BOT_SELECT;
        }
     }
    
?>
<form class=forms name="form1" method="POST" action="<?=$_SERVER['PHP_SELF'];?>">
<table cellpadding=0 cellspacing=0 class=wrap><tr><td>
  <br><table class=forms border='0' cellpadding='2'>
    <tr><td colspan=2 align=center><?=$LA['ap-enter-data'];?></td></tr>
    <tr>
      <td ><?=$LA['ap-project-name'];?>:</td>
      <td ><input class=forms type="text" name="txtName" value="" size="40" maxlength="40"></td>
    </tr>
    <tr>
      <td ><?=$LA['ap-proj-abrv'];?>:</td>
      <td ><input class=forms type="text" name="txtAbbrev" value="" size="10" maxlength="10"></td>
    </tr>
    <tr>
      <td ><?=$LA['ap-email'];?>:</td>
      <td ><input class=forms type="text" name="txtEmail" value="" size="40" maxlength="50"></td>
    </tr>
    <tr><td colspan=2 align=center>
      <input class=form_button type="submit" value="<?=$LA['ap-search'];?>" name="searchSubmit">
      <input class=form_button type="reset" value="<?=$LA['ap-reset'];?>" name="reset">
    </td></tr></table>
  </td></tr></table>
</form>

<? if($CURRENT_USER['IS_A_DB_ADMIN']){ ?>
<form class=forms name="form1" method="POST" action="<?=$_SELF['PHP_SELF'];?>">
<table align=center class=forms cellspacing=0 cellpadding=3>
<tr><td><input class=form_button type=submit value="<?=$LA['ap-create-new'];?>" name="createSubmit"></td></tr>
</table>
</form>
<? } ?>

<?
  print "<BR><BR>";
  writeFooter();
      exit;
    }
  }
  if($strProjectID && $strProjectID!=-1)
  {
    $strSQL2 = "SELECT *";
    $strSQL2.= " FROM $TABLE_PROJECTS";
    $strSQL2.= " LEFT JOIN $TABLE_DB_INFO ON itar_flag='1'";
    $strSQL2.= " WHERE project_id='$strProjectID'";
    //echo "Q:<DIR>$strSQL2</DIR>";
    $result2= dbquery($strSQL2);
    $row2= mysql_fetch_array($result2);

    $strName       = $row2['project_name'];
    $strEmail      = $row2['mail_alias'];
    $strAbbrev     = $row2['project_abbr'];
    $strAnyone     = $row2['allowanyonecreate']; if($strAnyone)$SEL_YES="SELECTED";else $SEL_NO="SELECTED";
    $strProtected  = $row2['protected']; if($strProtected)$PRO_YES="SELECTED";else $PRO_NO="SELECTED";
  }

  /* more security */
  $strRebuildCache = validateText("Rebuild Cache", $_FORM['txtRebuildCache'], 1, 40, FALSE, FALSE);
  /* If we were asked to rebuild the cache for this project, then do it */
  if(!strcmp($strRebuildCache,"yes"))
  {
    updateCache($strProjectID);
  }
    $strSQL2A = "SELECT *";
    $strSQL2A.= " FROM $TABLE_DB_INFO ";
    $result2A= dbquery($strSQL2A);
    $row2A= mysql_fetch_array($result2A);
    $strRLabel     = $row2A['restricted_label'];
    $strNotice     = $row2A['restricted_admin_notice'];
    $strRestricted = $row2A['itar_flag']; /* is it turned on or off at the DB level?*/

  writeHeader($LA['ap-edit-proj']);
  declareError(TRUE);

if($strProjectID)
{

?>

<form class=forms name="form1" method="POST" action="<?=$_SERVER['PHP_SELF'];?>">
<input type=hidden name="txtProjectID" value="<?=$strProjectID;?>">
  <br><table class=forms border='0' cellpadding='2'>
    <tr>
      <td ><?=$LA['ap-project-name'];?>:</td>
      <td ><input class=forms type="text" name="txtName" value="<?echo $strName;?>" size="40" maxlength="40"></td>
    </tr>
    <tr>
      <td ><?=$LA['ap-maila'];?>:</td>
      <td ><input class=forms type="text" name="txtEmail" value="<?echo $strEmail;?>" size="40" maxlength="120"></td>
    </tr>
    <tr>
      <td ><?=$LA['ap-anyone-create'];?>:</td>
      <td><select class=forms name="txtAnyone"><option <?=$SEL_YES;?> value="1"><?=$LA['ap-yes'];?></option><option <?=$SEL_NO;?> value="0"><?=$LA['ap-no'];?></option></select></td>
    </tr>
    <tr>
      <td ><?=$LA['ap-proj-abrv'];?>:</td><td><input type=text class=forms name="txtAbbrev" size="10" value="<?=$strAbbrev;?>" maxlength="10"></td>
    </tr>
    <!-- new to enable project admin to rebuild cache for this project -->
    <tr>
      <td ><?=$LA['ap-rebuild-msg'];?>:</td><td>
      <select name="txtRebuildCache"><option SELECTED value=""><?=$LA['ap-no'];?></option><option value="yes"><?=$LA['ap-yes'];?></option></select></td>
    </tr>
<? if($strRestricted){?>
    <tr class=warn><td colspan=2 align=center><?=$strRLabel;?><BR><?=$strNotice;?></td></tr>
    <tr>
      <td ><?=$LA['ap-proj-protecte'];?>:</td><td>
      <select name="txtProtected"><option <?=$PRO_NO;?> value=""><?=$LA['ap-no'];?></option><option <?=$PRO_YES;?> value="1"><?=$LA['ap-yes'];?></option></select></td>
    </tr>
<?}?>
    <tr><td colspan=2 align=center>
      <input class=form_button type="submit" value="<?=$LA['ap-commit'];?>" name="btnSubmit">
      <input class=form_button type="reset" value="<?=$LA['ap-reset'];?>" name="reset">
<? if($strProjectID!=-1) { ?>
      <input class=form_button id=b1 type="button" onclick="this.form.delSub2.tag=1;document.getElementById('b2').className='form_button';document.getElementById('b1').className='form_button2';" value="<?=$LA['ap-del-1'];?>" name="delSub1">
      <input class=form_button2 id=b2 type="button" onclick="if(this.tag){this.form.deleteSubmit.value=1;this.form.submit();}" tag=0 value="<?=$LA['ap-del-user'];?>" name="delSub2">
      <input type=hidden name="deleteSubmit" value="0">
<? } ?>
    </td></tr></table>
</form>

<?
}
  print "<BR><BR>";
  writeFooter();
?>
